package com.fidms.web.service.impl;

import java.util.List;
import com.fidms.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.fidms.web.mapper.Model3dMapper;
import com.fidms.web.domain.Model3d;
import com.fidms.web.service.IModel3dService;

/**
 * 3d模型Service业务层处理
 * 
 * @author Allen
 * @date 2023-05-08
 */
@Service
public class Model3dServiceImpl implements IModel3dService 
{
    @Autowired
    private Model3dMapper model3dMapper;

    /**
     * 查询3d模型
     * 
     * @param id 3d模型主键
     * @return 3d模型
     */
    @Override
    public Model3d selectModel3dById(Long id)
    {
        return model3dMapper.selectModel3dById(id);
    }

    /**
     * 查询3d模型列表
     * 
     * @param model3d 3d模型
     * @return 3d模型
     */
    @Override
    public List<Model3d> selectModel3dList(Model3d model3d)
    {
        return model3dMapper.selectModel3dList(model3d);
    }

    /**
     * 新增3d模型
     * 
     * @param model3d 3d模型
     * @return 结果
     */
    @Override
    public int insertModel3d(Model3d model3d)
    {
        model3d.setCreateTime(DateUtils.getNowDate());
        model3d.setUpdateTime(DateUtils.getNowDate());
        return model3dMapper.insertModel3d(model3d);
    }

    /**
     * 修改3d模型
     * 
     * @param model3d 3d模型
     * @return 结果
     */
    @Override
    public int updateModel3d(Model3d model3d)
    {
        model3d.setUpdateTime(DateUtils.getNowDate());
        return model3dMapper.updateModel3d(model3d);
    }

    /**
     * 批量删除3d模型
     * 
     * @param ids 需要删除的3d模型主键
     * @return 结果
     */
    @Override
    public int deleteModel3dByIds(Long[] ids)
    {
        return model3dMapper.deleteModel3dByIds(ids);
    }

    /**
     * 删除3d模型信息
     * 
     * @param id 3d模型主键
     * @return 结果
     */
    @Override
    public int deleteModel3dById(Long id)
    {
        return model3dMapper.deleteModel3dById(id);
    }

    @Override
    public List getOption() {
        return model3dMapper.getOption();
    }
}
